# 機構評級

`GET` `/v1/quote/institution-rating-latest`

獲取分析師機構評級快照（評級分佈及平均目標價）。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 證券代碼，例如 `TSLA.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/institution-rating-latest?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `evaluate` | object | No | 分析師評級分佈。 |
| `└ buy` | integer | No | 買入評級數。 |
| `└ over` | integer | No | 增持評級數。 |
| `└ hold` | integer | No | 持有評級數。 |
| `└ under` | integer | No | 減持評級數。 |
| `└ sell` | integer | No | 賣出評級數。 |
| `└ total` | integer | No | 評級總數。 |
| `└ start_date` | string | No | 統計起始時間（Unix 秒）。 |
| `└ end_date` | string | No | 統計結束時間（Unix 秒）。 |
| `└ no_opinion` | integer | No | 無觀點的分析師數。 |
| `target` | object | No | 目標價一致預期。 |
| `└ highest_price` | string | No | 最高目標價。 |
| `└ lowest_price` | string | No | 最低目標價。 |
| `└ prev_close` | string | No | 前收盤價。 |
| `└ start_date` | string | No | 統計起始時間（Unix 秒）。 |
| `└ end_date` | string | No | 統計結束時間（Unix 秒）。 |
| `industry_id` | integer | No | 行業 ID。 |
| `industry_name` | string | No | 行業名稱。 |
| `industry_rank` | integer | No | 標的在行業內的排名。 |
| `industry_total` | integer | No | 行業內標的總數。 |
| `industry_mean` | integer | No | 行業平均評級排名。 |
| `industry_median` | integer | No | 行業評級排名中位數。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "latest": {
      "evaluate": {
        "buy": 18,
        "hold": 17,
        "sell": 4,
        "no_opinion": 4,
        "over": 5,
        "under": 3,
        "total": 51,
        "start_date": "1778198400",
        "end_date": "0"
      },
      "industry_id": 87676,
      "industry_mean": 10,
      "industry_median": 4,
      "industry_name": "Automobiles",
      "industry_rank": 1,
      "industry_total": 30,
      "target": {
        "highest_price": "600.000",
        "lowest_price": "123.000",
        "prev_close": "428.35",
        "start_date": "1778198400",
        "end_date": "0"
      }
    },
    "summary": {
      "ccy_symbol": "$",
      "change": "0",
      "recommend": "Buy",
      "updated_at": "1778198400",
      "evaluate": {
        "buy": 18,
        "hold": 17,
        "sell": 4
      },
      "target": {
        "average_target": "350.00",
        "highest_price": "600.000",
        "lowest_price": "123.000"
      }
    }
  }
}
```
